apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ template "redis-ha.fullname" . }}-configmap
  namespace: {{ .Release.Namespace | quote }}
  labels:
    heritage: {{ .Release.Service }}
    release: {{ .Release.Name }}
    chart: {{ .Chart.Name }}-{{ .Chart.Version }}
    app: {{ template "redis-ha.fullname" . }}
    {{- range $key, $value := .Values.configmap.labels }}
    {{ $key }}: {{ $value | toString }}
    {{- end }}
data:
  redis.conf: |
{{- include "config-redis.conf" . }}

  sentinel.conf: |
{{- include "config-sentinel.conf" . }}

  init.sh: |
{{- include "config-init.sh" . }}
{{ if .Values.haproxy.enabled }}
  haproxy.cfg: |
{{- include "config-haproxy.cfg" . }}
{{- end }}
  haproxy_init.sh: |
{{- include "config-haproxy_init.sh" . }}
